# This is the developer's makefile, not the user's makefile.
# Don't use it unless you know exactly what you do!


# Some important programs:
SHELL = /bin/sh
MAKE = make

TEXI2DVI = texi2dvi
DVIPS = dvips -Pljfour
MAKEINFO = makeinfo
TEXI2HTML = texi2html
EMACS = emacs


all : documentation

documentation : cln.dvi cln.ps cln.info cln.html cln_toc.html

cln.dvi : cln.texi
	$(TEXI2DVI) cln.texi
	rm -f *.aux *.toc *.cp *.fn *.ky *.pg *.pg *.tp *.vr *.my *.log

cln.ps : cln.dvi
	$(DVIPS) -o cln.ps cln.dvi

cln.info : cln.texi
	$(MAKEINFO) --no-split cln.texi

cln.html : cln.texi
	$(TEXI2HTML) -expandinfo -number -monolithic cln.texi

cln_toc.html : cln.texi
	$(TEXI2HTML) -expandinfo -number -split_chapter cln.texi

cln.texi : cln.tex
	rm -f cln.texi && \
	cp cln.tex cln.texi && \
	$(EMACS) -batch cln.texi -load addnodes.el -f save-buffer
	rm -f *~
